
Figure - Bug #111359
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110874 (New): BSP-BVT测试-Display

【AF】【EVT】【Display】【偶现一次】屏幕显示内容被旋转90°，竖屏显示了，手势操作也为竖屏操作
2022-08-19 20:58 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-19

Priority: High Due date:

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: 0.0.0.20220819_alpha_private_userdebug

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version: 2022-09-27

Test Type: Bring Up Test Root cause: Android原生默认的行为，我们优化成居中竖屏显示

Description

前置条件：

1、DUT处于开机状态

操作步骤：

1、DUT安装QQ浏览器，并访问任意页面，使用五指抓手势返回到桌面

2、查看launcher页面显示和tp手势

实际结果：

1、launcher页面显示内容被旋转90°竖屏显示，applist页面图标也是竖屏显示

2、手势操作方向也变成竖屏

预期结果：

1、所有页面显示内容均横屏显示，手势操作方向也为横屏

History

#1 - 2022-09-06 16:23 - CD FW-王伟

- Category set to CD-APP

#2 - 2022-09-16 13:11 - CD APP-王营

- File launcherdemo-debug.apk added

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW-王伟

■ Current conclusion

测试20次后未复现此现象

竖屏应用打开后，退出竖屏应用Launcher会旋转成竖屏，但是会迅速恢复为横屏。

■ My analysis

需要framwork处理竖屏应用的显示方式，

请使用附件中的apk测试此问题，此应用在AndroidManifest中配置了android:screenOrientation="portrait" 

■ Next action / ■Submit URL

请framwork同事帮忙分析一下这个问题。

2025-07-04 1/3



#3 - 2022-09-20 16:30 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD- FW-石豪

#4 - 2022-09-20 16:30 - CD FW-王伟

- Category changed from CD-APP to CD-FW

#5 - 2022-09-23 14:31 - CDTS_TEST 王成

部分第三方APP会必现竖屏，如应用宝等

#6 - 2022-09-26 13:49 - CD FW-王伟

这个问题，尝试限制屏幕方向来实现，

参照实现方式：

wm fixed-to-user-rotation enabled

#7 - 2022-09-26 18:32 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V3.0_update_20221130

#8 - 2022-09-26 20:32 - CD FW-王伟

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-09-27

- Root cause set to Android原生默认的行为，我们优化成居中竖屏显示

■ Current conclusion

与需求工程师确认，当应用程序以横屏显示的时候，我们统一调整为居中的竖屏显示。

■ My analysis

■ Next action / ■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/151763

#9 - 2022-09-26 20:32 - CD FW-王伟

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 80

#10 - 2022-09-26 20:33 - CD FW-王伟

- Assignee changed from CD- FW-石豪 to SZTS_TEST 邹涛

#11 - 2022-09-27 17:45 - SZTS_TEST 邹涛

0924号release分支userdebug版本验证问题已修复，概率性问题，继续跟踪两个版本

#12 - 2022-11-01 11:45 - CDTS_TEST 王成

- Assignee changed from SZTS_TEST 邹涛 to CDTS_TEST 刘勇

跟踪下，没问题先关闭BUG
#13 - 2022-11-01 14:59 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

- % Done changed from 80 to 100

【HW】EVT2-VX1

【SW】FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0042.X101

【前提条件】

1.烧录user版本

【操作步骤】

1、DUT安装QQ浏览器，并访问任意页面，使用五指抓手势返回到桌面

2、查看launcher页面显示和tp手势

【实际结果】

1、所有页面显示内容均横屏显示，手势操作方向也为横屏

【验证次数】30次

【测试结果】PASS，验证通过

#14 - 2022-11-01 14:59 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

#15 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151763 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

AF:DisplayRotation:Set fix rotationFix the rotation for userTC-RID: 1201-0207001IssueID: TS-R-DF-111359Change-Id:

I3bc345c47b94ace7693e30d8888aa9141438cd6d

#16 - 2023-04-03 20:25 - CD BSP-杜磊

- Subject changed from 【BSP】【EVT】【Display】【偶现一次】屏幕显示内容被旋转90°，竖屏显示了，手势操作也为竖屏操作 to 【AF】【EVT】

【Display】【偶现一次】屏幕显示内容被旋转90°，竖屏显示了，手势操作也为竖屏操作

Files

logcat.txt 7.15 MB 2022-08-19 SZTS_TEST 邹涛

launcherdemo-debug.apk 6.76 MB 2022-09-16 CD APP-王营
